Overview
POST
/persona-memory/globalpersonaCreate a global (persona-scope) memory
Create a record in global.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- personaIdstring
- slugstring
- memoryType"user" | "feedback" | "project" | "reference"
- descriptionstring
- bodystring
- subjectTableoptionalstring
- subjectIdoptionalstring
- sourceoptional"inferred" | "user_stated" | "tool"
- confidenceoptionalinteger
- tagsoptionalstring[]
Example
{
"personaId": "string",
"slug": "string",
"memoryType": "user",
"description": "string",
"body": "string",
"subjectTable": "string",
"subjectId": "string",
"source": "inferred",
"confidence": 0,
"tags": [
"string"
]
}Responses
201
Created global memory
- idstring
- ecosystemIdstring
Ecosystem (tenant) id
- customerIdstring
Owning user; empty for a global memory
- deletedAtoptionalstring?
- personaIdstring
- scope"user" | "persona"
- slugstring
- memoryType"user" | "feedback" | "project" | "reference"
- descriptionstring
- bodystring
- subjectTableoptionalstring?
- subjectIdoptionalstring?
- status"active" | "superseded" | "archived"
- supersedesIdoptionalstring?
- source"inferred" | "user_stated" | "tool"
- confidenceinteger
- tagsstring[]
- validFromoptionalstring?
- validTooptionalstring?
- recallCountinteger
- lastRecalledAtoptionalstring?
- embeddingModeloptionalstring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"personaId": "string",
"scope": "user",
"slug": "string",
"memoryType": "user",
"description": "string",
"body": "string",
"subjectTable": "string",
"subjectId": "string",
"status": "active",
"supersedesId": "string",
"source": "inferred",
"confidence": 0,
"tags": [
"string"
],
"validFrom": "string",
"validTo": "string",
"recallCount": 0,
"lastRecalledAt": "string",
"embeddingModel": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/persona-memory/global" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"personaId": "string",
"slug": "string",
"memoryType": "user",
"description": "string",
"body": "string",
"subjectTable": "string",
"subjectId": "string",
"source": "inferred",
"confidence": 0,
"tags": [
"string"
]
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/global", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"personaId\": \"string\",\n \"slug\": \"string\",\n \"memoryType\": \"user\",\n \"description\": \"string\",\n \"body\": \"string\",\n \"subjectTable\": \"string\",\n \"subjectId\": \"string\",\n \"source\": \"inferred\",\n \"confidence\": 0,\n \"tags\": [\n \"string\"\n ]\n}",
});
const data = await res.json();